libgdamm Reference Documentation

Main Page Namespaces Book

# Gnome::Gda::DataModelArray Class Reference
[Data Models]

An implementation of DataModel based on an array. More...

Inheritance diagram for Gnome::Gda::DataModelArray:

[legend]
List of all members.

## Public Member Functions

void | clear ()
| Frees all the rows in model.
const GdaDataModelArray* | gobj () const
| Provides access to the underlying C GObject.
GdaDataModelArray* | gobj ()
| Provides access to the underlying C GObject.
GdaDataModelArray* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
void | set_n_columns (int cols)
| Sets the number of columns for rows inserted in this model.
virtual | ~DataModelArray ()

## Static Public Member Functions

static Glib::RefPtr<DataModelArray> | create (int cols)

## Protected Member Functions

| DataModelArray (int cols)

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr<Gnome::Gda::DataModelArray> | wrap (GdaDataModelArray* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

An implementation of DataModel based on an array.

## Constructor & Destructor Documentation

virtual Gnome::Gda::DataModelArray::~DataModelArray | ( |  | ) | `[virtual]`

Gnome::Gda::DataModelArray::DataModelArray | ( | int | cols | ) | `[explicit, protected]`

## Member Function Documentation

void Gnome::Gda::DataModelArray::clear | ( |  | ) |

Frees all the rows in model.

static Glib::RefPtr<DataModelArray> Gnome::Gda::DataModelArray::create | ( | int | cols | ) | `[static]`

const GdaDataModelArray* Gnome::Gda::DataModelArray::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gnome::Gda::DataModelRow.

GdaDataModelArray* Gnome::Gda::DataModelArray::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gnome::Gda::DataModelRow.

GdaDataModelArray* Gnome::Gda::DataModelArray::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Gnome::Gda::DataModelRow.

void Gnome::Gda::DataModelArray::set_n_columns | ( | int | cols | ) |

Sets the number of columns for rows inserted in this model.

cols must be greated than or equal to 0.

Also clears model's contents.

Parameters:

  | cols | Number of columns for rows this data model should use.

## Friends And Related Function Documentation

Glib::RefPtr<Gnome::Gda::DataModelArray> wrap | ( | GdaDataModelArray * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- datamodelarray.h